# class KJavaEmbed |
Definition | `#include <javaembed.h>`
Inherits | QWidget (qt) [public ]
Inherited by | KJavaAppletWidget
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KJavaEmbed ( QWidget *parent=0, const char *name=0, WFlags f = 0 )
- ~KJavaEmbed ()
- void embed ( WId w )
- bool embedded ()
- QSize sizeHint () const
- QSize minimumSizeHint () const
- QSizePolicy sizePolicy () const
- bool eventFilter ( QObject *, QEvent * )

#### Protected Methods

- bool event ( QEvent * )
- void focusInEvent ( QFocusEvent * )
- void focusOutEvent ( QFocusEvent * )
- void resizeEvent (QResizeEvent *)
- bool x11Event ( XEvent* )
- bool focusNextPrevChild ( bool next )

## Detailed Description

KJavaEmbed ( QWidget *parent=0, const char *name=0, WFlags f = 0 ) | ### KJavaEmbed

~KJavaEmbed () | ### ~KJavaEmbed

void embed ( WId w ) | ### embed

Swallows the window with the given Window ID.

bool embedded () | ### embedded

Returns whether or not we have embedded our window

QSize sizeHint () | ### sizeHint

[const]

Reimplemented from QWidget.

QSize minimumSizeHint () | ### minimumSizeHint

[const]

Reimplemented from QWidget.

QSizePolicy sizePolicy () | ### sizePolicy

[const]

Reimplemented from QWidget.

bool eventFilter ( QObject *, QEvent * ) | ### eventFilter

bool event ( QEvent * ) | ### event

[protected]

Reimplemented from QWidget.

void focusInEvent ( QFocusEvent * ) | ### focusInEvent

[protected]

Reimplemented from QWidget.

void focusOutEvent ( QFocusEvent * ) | ### focusOutEvent

[protected]

Reimplemented from QWidget.

void resizeEvent (QResizeEvent *) | ### resizeEvent

[protected]

Reimplemented from QWidget.

bool x11Event ( XEvent* ) | ### x11Event

[protected]

bool focusNextPrevChild ( bool next ) | ### focusNextPrevChild

[protected]

Reimplemented from QWidget.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:45:56 2001, using kdoc 2.0a53.